<!-- 分润管理-机构分润配置-子机构分组管理-删除 -->
<template>
    <app-drawer :title="t('common.alert')" v-model:show="show" :loading="loading" :refresh="refresh">
        <div class="g-text-message">{{ t('profitshare.institution.group.delete.tips') }}</div>
        <template #footer>
            <el-button @click="onCancel(false)">{{ t('operation.cancel') }}</el-button>
            <el-button type="primary" @click="onSubmit">{{ t('operation.confirm') }}</el-button>
        </template>
    </app-drawer>
</template>

<script lang="ts" setup>
import { shallowRef, PropType } from 'vue'
import { ElMessage } from 'element-plus'
import { profitShareDelete } from '@/services/api/profitshare'
import AppDrawer from '@pc/components/base/drawer/index.vue'
import { i18n } from '@/stores'

const props = defineProps({
    record: {
        type: Object as PropType<Model.ProfitShareQueryPageRsp>,
        required: true
    }
})

const { global: { t } } = i18n
const show = shallowRef(true)
const refresh = shallowRef(false)
const loading = shallowRef(false)

const onCancel = (isRefresh = false) => {
    show.value = false
    refresh.value = isRefresh
}

const onSubmit = () => {
    loading.value = true
    profitShareDelete({
        data: {
            groupId: props.record.subareagroupid
        }
    }).then(() => {
        ElMessage.success(t('common.tips5'))
        onCancel(true)
    }).catch((err) => {
        ElMessage.error(t('common.tips6') + err)
        onCancel()
    }).finally(() => {
        loading.value = false
    })
}
</script>